petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawViewPortsSet

sets a draw object to use a particular subport

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawViewPortsSet(PetscDrawViewPorts *ports,PetscInt port)

Logically Collective on PetscDraw inside PetscDrawViewPorts

### Input Parameter

| ports | - the PetscDrawViewPorts object
| port | - the port number, from 0 to nports-1

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsDestroy(), PetscDrawViewPortsCreate()

### Level

advanced

### Location

src/sys/classes/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages